org.apache.poi.sl.draw.binding

## Class CTScale2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTScale2D

-     public class CTScale2D
      extends java.lang.Object

  Java class for CT_Scale2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Scale2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="sx" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Ratio"/>
               <element name="sy" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Ratio"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CTRatio` | `sx`
    `protected CTRatio` | `sy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTScale2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTRatio` | `getSx()` Gets the value of the sx property.
    `CTRatio` | `getSy()` Gets the value of the sy property.
    `boolean` | `isSetSx()`
    `boolean` | `isSetSy()`
    `void` | `setSx(CTRatio value)` Sets the value of the sx property.
    `void` | `setSy(CTRatio value)` Sets the value of the sy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sx

          protected CTRatio sx

    - #### sy

          protected CTRatio sy

  - ### Constructor Detail

    - #### CTScale2D

          public CTScale2D()

  - ### Method Detail

    - #### getSx

          public CTRatio getSx()

      Gets the value of the sx property.
      Returns:
        possible object is `CTRatio`

    - #### setSx

          public void setSx(CTRatio value)

      Sets the value of the sx property.
      Parameters:
        `value` - allowed object is `CTRatio`

    - #### isSetSx

          public boolean isSetSx()

    - #### getSy

          public CTRatio getSy()

      Gets the value of the sy property.
      Returns:
        possible object is `CTRatio`

    - #### setSy

          public void setSy(CTRatio value)

      Sets the value of the sy property.
      Parameters:
        `value` - allowed object is `CTRatio`

    - #### isSetSy

          public boolean isSetSy()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.